开发者社区> 问答> 正文

帮忙看下阿里云OpenAPI python core sdk的问题,没看到有代理配置,帮忙看看?

帮忙看下阿里云OpenAPI python core sdk的问题,我本地测试正常,客户sdk版本已经最新了。没看到有代理配置?

D:\project\sku-train\venv\Scripts\python.exe D:\project\sku-train\aly.py
Traceback (most recent call last):
File "D:\project\sku-train\aly.py", line 25, in
response = client.do_action_with_exception(request)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\client.py", line 498, in do_action_with_exception
status, headers, body, exception = self._implementation_of_do_action(acs_request)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\client.py", line 333, in _implementation_of_do_action
return self._handle_retry_and_timeout(endpoint, request, signer)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\client.py", line 401, in _handle_retry_and_timeout
status, headers, body, exception = self._handle_single_request(endpoint,
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\client.py", line 432, in _handle_single_request
status, headers, body = http_response.get_response_object()
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\http\http_response.py", line 139, in get_response_object
response = self.session.send(
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\sessions.py", line 617, in send
r = adapter.send(request, kwargs)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\adapters.py", line 405, in send
conn = self.get_connection(request.url, proxies)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\adapters.py", line 303, in get_connection
proxy_manager = self.proxy_manager_for(proxy)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\adapters.py", line 191, in proxy_manager_for
manager = self.proxy_manager[proxy] = proxy_from_url(
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\packages\urllib3\poolmanager.py", line 453, in proxy_from_url
return ProxyManager(proxy_url=url,
kw)
File "D:\project\sku-train\venv\lib\site-packages\aliyunsdkcore\vendored\requests\packages\urllib3\poolmanager.py", line 404, in
init__
raise ProxySchemeUnknown(proxy.scheme)
aliyunsdkcore.vendored.requests.packages.urllib3.exceptions.ProxySchemeUnknown: Not supported proxy scheme 127.0.0.1

展开
收起
真的很搞笑 2024-03-04 11:30:03 28 0
3 条回答
写回答
取消 提交回答
  • 关于阿里云OpenAPI Python Core SDK的问题,从错误日志来看,似乎是代理设置存在问题,代理服务器的地址127.0.0.1被识别为未知的代理协议方案。请确保正确设置了代理服务器地址及端口,格式应类似于http://127.0.0.1:port或者https://127.0.0.1:port

    2024-03-04 16:13:46
    赞同 展开评论 打赏
  • 面对过去,不要迷离;面对未来,不必彷徨;活在今天,你只要把自己完全展示给别人看

    从错误信息来看,问题出在代理设置上。错误提示为 "Not supported proxy scheme 127.0.0.1",意味着代理的协议不被支持。请检查您的代码中的代理设置,确保使用了正确的代理协议(如 http 或 https)。

    如果您不需要使用代理,可以将代理设置为 None 或者删除相关代码。

    2024-03-04 15:59:56
    赞同 展开评论 打赏
  • 说了推荐V2.0~, 这个问题感觉是

    1. 因为用户配置了代理环境变量
      HTTP_PROXY 或者 http_proxy

    HTTPS_PROXY 或者 https_proxy

    1. 也可能装错了包,检查下有没有aliyunsdkcore这个包 正确的包应该是aliyun-python-sdk-core
      看有没有装aliyunsdkcore 可能装错了 ,此回答整理自钉群“OpenAPI 开发者门户 - 值班服务群2群”
    2024-03-04 11:40:57
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
阿里云产品五月刊 立即下载
阿里云云原生技术实践营 AI 原生应用架构专场·北京站 立即下载
低代码开发师(初级)实战教程 立即下载